Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

[Q] phliz installation

OP gilhaba

28th February 2014, 02:26 AM   |  #1  
OP Junior Member
Thanks Meter: 0
 
10 posts
Join Date:Joined: Feb 2014
Hi,
I have n7100 phone(non lte)
I have phliz recovery (t0lte mode by mistake)
and i need to install the phliz recovery (regular n7100 mode, zip file) from the recovery itself.
can it be done?
if so , how do i do it, in-order not to get in to loop or something.

Thanks for your help.
28th February 2014, 12:49 PM   |  #2  
Senior Member
Thanks Meter: 107
 
135 posts
Join Date:Joined: Sep 2013
Donate to Me
More
http://goo.im/devs/philz_touch/CWM_A...15.4-n7100.zip

Flash this zip as you would flash any other and your problem's solved.
28th February 2014, 01:29 PM   |  #3  
OP Junior Member
Thanks Meter: 0
 
10 posts
Join Date:Joined: Feb 2014
Flash this zip as you would flash any other and your problem's solved.[/QUOTE]

Hi,
Thanks for the reply,
I've tried to flash via zip the appropriate version before you replied (philz_touch_6.07.9 n7100 zip)
And again got a message that the package is for n7100 and mydevice
is t0lte.

Will your link be different?

i took it to the store for checking, and they said that they tried to install stock rom but its not booting... strange.
is this can happen because i installed a wrong recovery and did format /system ?
Last edited by gilhaba; 28th February 2014 at 03:08 PM. Reason: adding text
1st March 2014, 01:20 PM   |  #4  
Recognized Contributor
Thanks Meter: 12,230
 
5,612 posts
Join Date:Joined: Mar 2013
More
download the right file for your device.
move to YOUR.zip\META-INF\com\google\android\ and extract the "updater-script"
now remove all getprop lines from it (if you are on Windows you MUST use Notepad++ to do this) - and safe it.

example:
Code:
assert(getprop("ro.product.device") == "p3110" || getprop("ro.build.product") == "p3110" ||
    getprop("ro.product.device") == "GT-P3110" || getprop("ro.build.product") == "GT-P3110" ||
    getprop("ro.product.device") == "espressowifi" || getprop("ro.build.product") == "espressowifi" ||
    getprop("ro.product.device") == "espressowifixx" || getprop("ro.build.product") == "espressowifixx");
Now replace the updater-script inside the zip (e.g. using 7-zip) and flash it in recovery - itīwonīt check if you use the right file now.
Reboot your recovery.

in generall you can brick your device flashing a recovery for a differet device... e.g. you EFS can be overwritten.... partition-layout different on different devices
Last edited by Android-Andi; 1st March 2014 at 01:23 PM.
1st March 2014, 03:08 PM   |  #5  
OP Junior Member
Thanks Meter: 0
 
10 posts
Join Date:Joined: Feb 2014
Quote:
Originally Posted by Android-Andi

download the right file for your device.
move to YOUR.zip\META-INF\com\google\android\ and extract the "updater-script"
now remove all getprop lines from it (if you are on Windows you MUST use Notepad++ to do this) - and safe it.

example:

Code:
assert(getprop("ro.product.device") == "p3110" || getprop("ro.build.product") == "p3110" ||
    getprop("ro.product.device") == "GT-P3110" || getprop("ro.build.product") == "GT-P3110" ||
    getprop("ro.product.device") == "espressowifi" || getprop("ro.build.product") == "espressowifi" ||
    getprop("ro.product.device") == "espressowifixx" || getprop("ro.build.product") == "espressowifixx");
Now replace the updater-script inside the zip (e.g. using 7-zip) and flash it in recovery - itīwonīt check if you use the right file now.
Reboot your recovery.

in generall you can brick your device flashing a recovery for a differet device... e.g. you EFS can be overwritten.... partition-layout different on different devices

Dear Android-Andi,
Inorder not to make the mistake again,
Can you redirect me to where I can download cwm 6.0.4.5 and
above for my gt-n7100 device (not lte) ?

Btw, why when I try to flash via the recovery, it thinks that my device
is not n7100? How come the getprop command gets t0lte?
Tanks a lot for helping.
Last edited by gilhaba; 1st March 2014 at 03:35 PM.
1st March 2014, 03:49 PM   |  #6  
Member
Flag mumbai
Thanks Meter: 4
 
53 posts
Join Date:Joined: Sep 2013
More
Quote:
Originally Posted by gilhaba

Dear Android-Andi,
Inorder not to make the mistake again,
Can you redirect me to where I can download cwm 6.0.4.5 and
above for my gt-n7100 device (not lte) ?

Btw, why when I try to flash via the recovery, it thinks that my device
is not n7100? How come the getprop command gets t0lte?
Tanks a lot for helping.

here : http://forum.xda-developers.com/show....php?t=2028103
1st March 2014, 04:08 PM   |  #7  
OP Junior Member
Thanks Meter: 0
 
10 posts
Join Date:Joined: Feb 2014
Dear KIYOSH,

Thanks for the redirection.

What about my last question?
How come it thinks its t0lte? Just because of the
recovery that i flashed that it was for t0lte?
1st March 2014, 08:43 PM   |  #8  
Recognized Contributor
Thanks Meter: 12,230
 
5,612 posts
Join Date:Joined: Mar 2013
More
Quote:
Originally Posted by gilhaba

Dear KIYOSH,

Thanks for the redirection.

What about my last question?
How come it thinks its t0lte? Just because of the
recovery that i flashed that it was for t0lte?

Yes, thatīs why... removeing the getprop lines from the updater-script makes the recovery.zip flashable because it can not check if the file is only for the device

You can also try this:
Download a flashable Recovery ZIP for your device.
Unpack the recovery.img from the Zip.
Now you can flash the recovery.img using Flashify

Another solution:
Download a Odin flashable Recovery for your device and flash it in Download-Mode using Odin.

Edit:
Odin-flashable *.tar.md5 can be downloaded here too http://goo.im/devs/philz_touch/CWM_A..._Edition/n7100

Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes